petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscMallocSetCoalesce

Use coalesced malloc when allocating groups of objects

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMallocSetCoalesce(PetscBool coalesce)

Not Collective

### Input Parameters

coalesce -PETSC_TRUE to use coalesced malloc for multi-object allocation.

### Options Database Keys

-malloc_coalesce -turn coalesced malloc on or off

### Note

PETSc uses coalesced malloc by default for optimized builds and not for debugging builds. This default can be changed via the command-line option -malloc_coalesce or by calling this function.

### See Also

PetscMallocA()

### Level

developer

### Location

src/sys/memory/mal.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages